/* --- rd3_sm.css --- */

BODY {
    font-family: Helvetica,Arial,sans-serif;
    font-size: 10pt;
    background-color: #e5efe8;
    margin: 0;
    width: 100%;
    height: 100%;
    overflow: hidden;
    position: absolute;
    border: none;
}
#header-container {
    width: 100%;
    height: 60px;
    color: #FFF;
    padding: 0;
    font-size: 16pt;
    line-height: 60px;
    background-color: #3D5566; 
    overflow: hidden;
    -webkit-box-shadow: 0 2px 4px 0 rgba(0,0,0,0.2);
    -moz-box-shadow: 0 2px 4px 0 rgba(0,0,0,0.2);
    box-shadow: 0 2px 4px 0 rgba(0,0,0,0.2);
}
.menu-bar-command {
    padding: 0 10px;
    line-height: 30px;
    font-size: 11pt;
    vertical-align: middle;
	color: #669977;
    cursor: pointer;
    display: inline-block;
}
.menu-bar-hover {
    color: #006d25;
}
.panel-value-button {
    position: absolute;
    text-overflow: ellipsis;
    white-space: nowrap;
    overflow: hidden;
    z-index: 0;
    height: 30px;
    line-height: 30px;
    padding: 0;
    border-radius: 3px;
    -ms-border-radius: 3px;
    font-size: 10pt!important;
    font-weight: normal;
    border: none;
    background-color: #00892e;
    color: #FFF!important;
    cursor: pointer;
    -webkit-box-shadow: 0 1px 0 0 rgba(0,0,0,0.6);
    -moz-box-shadow: 0 1px 0 0 rgba(0,0,0,0.6);
    box-shadow: 0 1px 0 0 rgba(0,0,0,0.6);
}
.popup-menu-container {
    background-color: #ffffff;
    border: 1px solid #669977;
    margin: 0;
    position: absolute;
    width: 170px;
    -webkit-box-shadow: 0 1px 2px 0 rgba(0,0,0,0.3);
    -moz-box-shadow: 0 1px 2px 0 rgba(0,0,0,0.3);
    box-shadow: 0 1px 2px 0 rgba(0,0,0,0.3);
}

.popup-cell-text {
    height: 26px;
    line-height: 16px;
    padding: 10px 11px;
    color: #006d25;
    font-size: 10pt;
    width: 100%;
    cursor: pointer;
}
.popup-menu-table .popup-menu-item:not(:last-child) .popup-cell-text::after {
    content: '';
    display: block;
    height: 1px;
    background: #e5efe8;
}
.popup-menu-text {
    cursor: pointer;
    padding: 9px 0;
    display: block;
}
.combo-activator {
    cursor: pointer;
    position: absolute;
    background-position: center center;
    background-repeat: no-repeat;
    background-color: #eefaef !important;
    background-image: url(images/aeco.gif);
}
.combo-header{
	height:14px;
	background-color:#00892e;
}
combo-header-column{
	font-weight:bold;
	padding-left:2px;
	text-overflow:ellipsis;
	white-space:nowrap;
	overflow:hidden;
	color:#ffffff;
}
.combo-option{
	background-color: #eefaef !important;
	height:14px;
}
.panel-form-container {
    border: none;
    background-color: #ffffff !important;
    position: absolute;
    width: 100%;
    height: 100%;
    overflow: hidden;
    padding: 0;
}
.frame-content-container {
    background-color: white !important;
    position: absolute;
    overflow: auto;
}
.panel-list-container {
    border: none;
    background-color: white !important;
    height: 100%;
    width: 100%;
    position: absolute;
    padding: 0;
    overflow: hidden;
}
.popup-menu-container .popup-menu-table .popup-menu-item .popup-cell-icon,
.popup-menu-container .popup-menu-table .popup-menu-item .popup-cell-text-sep {
    display:none;
}
.popup-menu-hover {
    background-color: #00892e;
}

/* --- custom SORAIA --- */

/* correzione altezza tiga titolo videate */
.form-caption-container {height: 35px; line-height: 35px;}
.form-caption-text {height: 35px; line-height: 35px;}
/* correzione allineamento caption */
.panel-field-caption-form{padding: 3px 2px 3px !important;}
/* correzione allineamento testo pulsanti */
.panel-value-button {line-height: initial;}
/* correzione allineamento checkbox e rimozione bordo + fondo bianco */
.panel-field-value-form input[type=checkbox] {margin: 0; left: 0 !important;}
div.panel-field-value-form {border: none !important; background: none !important;}
/* correzione allineamento frecce su liste */
div.panel-field-value-list, .panel-field-caption-list {
	padding-top: 3px !important;
    padding-bottom: 3px !important;
}
div.panel-field-value-list img.panel-row-selector{
	padding: initial !important;
	padding: 0 !important;
	margin-top:-1px;
}
/* correzione allineamento checkbox su liste */
div.panel-field-value-list input[type=checkbox].panel-value-check{margin:0;height:initial;}
div.panel-field-value-list input[type=checkbox].panel-row-selector{margin:1px 7px!important;}
/* correzione visibilita' titoli dei gruppi di colonne */
.group-list-box{padding:0px!important;text-transform:uppercase;line-height:16px;border-width: 0 1pt 1pt!important;top:-1px;}
.panel-field-caption-list{line-height:100%;}
/* correzione visibilita' bordo superiore gruppo di colonne */
.panel-scroll-area{border-top: 1px solid rgb(208,208,208);}
/* piccole correzioni menu applicazione e caption applicazione*/
#side-menu-container{padding: 0 !important;}
#forms-container{top:85px !important;}
#header-main-caption.header-main-caption{text-transform:uppercase;}
/* linea separatrice voci di menu */
.popup-menu-text-sep {
    background-color: #e2e2e2;
    height: 1px;
    display: block;
}
.popup-cell-icon {background-color: #e2e2e2;}
/* bottoni abilitati */
.panel-value-button {
	-webkit-box-shadow: 0 1px 0 0 rgba(0,0,0,0.0);
    -moz-box-shadow: 0 1px 0 0 rgba(0,0,0,0.0);
    box-shadow: 0 1px 0 0 rgba(0, 0, 0, 0);
}
/* bottoni disabilitati */
.panel-value-button[disabled] {
    color: rgb(234, 234, 234) !important;
    text-shadow: none;
	background-color: #cccccc;
	-webkit-box-shadow: 0 1px 0 0 rgba(0,0,0,0.0);
    -moz-box-shadow: 0 1px 0 0 rgba(0,0,0,0.0);
    box-shadow: 0 1px 0 0 rgba(0, 0, 0, 0);
}
/* bordo celle */
.panel-field-value-form{border: 1px solid #afafaf !important;}
.panel-field-value-list{border-color:#afafaf !important;}
.panel-value-activator, .combo-activator{
	border-top: 1px solid #afafaf !important;
    border-right: 1px solid #afafaf !important;
    border-bottom: 1px solid #afafaf !important;
}
/* rimozione sottoriga titolo videate */
.form-caption-container {border-bottom: none !important;}
/* bordo iframe videata */
.popup-frame-container {border: 1px solid #8a9399;border-radius:0px;}
/* linea superiore blocchetti */
.group-form-box{border-width:0 !important;}
/* colore di fondo titolo applicazione */
#header-container{background-color: #003b73;}
.frame-toolbar-container{background-color: #003b73;}
/* regolo checkbox su IE */
.panel-value-check {
    width: auto !important;;
    height: auto !important;;
}

/* --- custom BI3 --- */

#header-container {
    background-color: #00892e;
}
.panel-value-button:hover {
    background-color: #5a5a5a;
}
.combo-input.panel-field-value-form{
    background-color: #eefaef !important
}
.frame-toolbar-container {
    background-color: #00892e;
}

/* Workaround bottoni titlebar che scompaiono in debug */
.form-caption-modal-image { margin-left:3px; }
